// When window loads initialize ourselves
window.addEventListener('load', habarixenuContextInit, false);
var item;
var hxTabAdded = false;

function habarixenuContextInit() {
    if (document.getElementById('contentAreaContextMenu')) {
	item = document.getElementById('habarixenu-context-addfeed');

	// When popup shows run toggleDetail
	document.getElementById('contentAreaContextMenu').addEventListener('popupshowing',toggleDisplay,false);
	return false;
    }
}

function toggleDisplay () {
    var target = document.popupNode;
    if (! target) return false;
    if (target.nodeType == Node.ELEMENT_NODE) {
	var localName = target.localName.toUpperCase();

	// Unhide item for A or LINK tags
	item.hidden = (localName == "A" || localName == "LINK") ? false : true;
    }
    return false;
}


// A function that is used to subsribe to a link through context menu
function hxSubscribe() {
    // Note: var gContextMenu is defined at 
    // chrome://browser|communicator/content/contentAreaContextOverlay.xul
    var bookmarkXUL = (navigator.userAgent.indexOf('irefox') == -1) ? 'chrome://communicator/content/bookmarks/addBookmark.xul' : 'chrome://browser/content/bookmarks/addBookmark.xul';
    window.openDialog(bookmarkXUL, '', 'centerscreen,chrome,dialog=no,resizable=yes', gContextMenu.linkText(), gContextMenu.linkURL());
}
